Fetch wait times of a center (with center_ids or geolocation)

Purpose: The purpose of this API is to retrieve wait times for a list of centers or for centers in an area as per the Geolocation.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Object

NameTypeDescription
center_wait_timesobjectObject containing the information of centers and its corresponding wait times.

center_wait_times Object

NameTypeDescription
wait_timeintThis is the wait time of the center.
idguidUnique identifier of the center as entered in the request.
namestringName of the center corresponding to the id in the API request.
geo_latitudestringLatitude of the corresponding center.
geo_longitudestringLongitude of the corresponding center.
statusstringStatus of the center. Open or Closed

error Object

MessageCodeDescription
Invalid request, only one of Geofence or Center ids is supported as a valid requestQA004When both the center_ids and the geolocation is mentioned in the request. Note: Either use center_id or the geolocation parameters.
Invalid InputAA107When partial geolocation data is entered.
Request query exceeds maximum limit of distance - 50 milesQA002When the geolocation distance is more than 50 miles.
Request query exceeds maximum limit of centers - 50QA001When the API body contains more than 50 center_ids.
Invalid InputAA107When the geolocation coordinates are out of range. Range: Latitude -90 to 90
Longitude: -180 to 180
Queue-Admin is not enabled for this organizationQA003When the queue module is not enabled for an organization.
Body Params
string

Object containing the ids of the centers for which you want to fetch the wait times. Note: Ensure the number of center_ids is less than 50. This API does not fetch the details if more than 50 center_ids are entered.

string

Latitude coordinate of the center. Note: If center_ids are provided, this parameter is not required.

string

Longitude coordinate of the center. Note: If center_ids are provided, this parameter is not required.

string

Range of the coordinate search. Note: If center_ids are provided, this parameter is not required.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json